/*------------------------------------*\
    #MENU-SOCIAL
\*------------------------------------*/
/**
 * Social navigation component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}menu-social,
%#{$inuit-namespace}menu-social {
    @media #{$medium-up} {
        //font-size: 76.47%;
    }
}

.#{$inuit-namespace}menu-social__list,
%#{$inuit-namespace}menu-social__list {
    @extend %o-list-bare;
}

.#{$inuit-namespace}menu-social__item,
%#{$inuit-namespace}menu-social__item {
    background: transparent;
    display: inline-block;
    height: frs-halve($frs-base-unit);
    margin-right: frs-quarter($frs-base-unit);
    width: frs-halve($frs-base-unit);
    &-xing {
        display: none;
    }
    &:last-child {
        margin-right: 0;
    }
}

.#{$inuit-namespace}menu-social__headline,
%#{$inuit-namespace}menu-social__headline {
    font-weight: bold;
    margin-bottom: frs-quarter($frs-base-unit);
    margin-top: 0;
}

.#{$inuit-namespace}menu-social__icon,
%#{$inuit-namespace}menu-social__icon {
    padding: 0;
    fill: $frs-color-grey;
    transition: .2s fill ease;
    .#{$inuit-namespace}menu-social__link:hover &,
    %#{$inuit-namespace}menu-social__link:hover &,
    .#{$inuit-namespace}menu-social__link:focus &,
    %#{$inuit-namespace}menu-social__link:focus & {
        fill: darken($frs-color-grey, 20);
    }
}

.social-media_title {
    font-size: 1.266666rem;
    line-height: 1.26;
    margin-bottom: 6.25px;
}

@if $theme == "reloaded" {
    .#{$inuit-namespace}menu-social__headline,
    %#{$inuit-namespace}menu-social__headline {
        margin-bottom: 1.5rem;
    }
    .#{$inuit-namespace}menu-social__item,
    %#{$inuit-namespace}menu-social__item {
        .#{$inuit-namespace}menu-social__link,
        %#{$inuit-namespace}menu-social__link {
            display:inline-block;
            width: 3.1rem;
            height: 3.1rem;
            margin: 0 auto;
            background: $frs-color-grey;
            border-radius: 1.51rem;
            color:$frs-color-white;
            @include epx-transition (all 300ms ease-in-out 0s);
            position:relative;
            svg {
                width: 2.2rem !important;
                height: 2.2rem !important;
                margin: 0 !important;
                padding: 0 !important;
                fill: #fff;
                position: absolute;
                top: 0.59rem !important;
                left: 0.55rem !important;
                transform: scale(1.5);
                &.c-item-facebook {
                    transform: scale(1.2);
                    top: 1rem !important;
                    left: 0.85rem !important;
                }
                &.c-item-instagram {
                    transform: scale(0.8);
                }
                &.c-item-youtube {
                    transform: scale(0.8);
                }
                &.c-item-twitter {
                    transform: scale(0.8);
                }
                &.c-item-blog {
                    top: 0.6rem !important;
                    left: 0.6rem !important;
                }
                &.c-item-linkedin {
                    top: 0.45rem !important;
                    transform: scale(0.8);
                }
            }
            @include frs-hover {
                background: $frs-color-blue;
                color:$frs-color-white;
                margin: 0;
                svg {
                    width: 2.3rem !important;
                    height: 2.3rem !important;
                    margin: 0 !important;
                    padding: 0 !important;
                    fill:$frs-color-white;
                    position: absolute;
                    top: 0.59rem !important;
                    left: 0.55rem !important;
                    transform: scale(1.5);
                    margin:0 !important;
                    padding:0 !important;
                    &.c-item-facebook {
                        transform: scale(1.2);
                        top: 1rem !important;
                        left: 0.85rem !important;
                    }
                    &.c-item-instagram {
                        transform: scale(0.8);
                    }
                    &.c-item-youtube {
                        transform: scale(0.8);
                    }
                    &.c-item-twitter {
                        transform: scale(0.8);
                    }
                    &.c-item-blog {
                        top: 0.6rem !important;
                        left: 0.6rem !important;
                    }
                    &.c-item-linkedin {
                        top: 0.45rem !important;
                        transform: scale(0.8);
                    }
                }
            }
        }
    }
}